# Crashcourse personal/course Website
The easiest way to publish your own papers / portfolio is having your own webpage.
We will show you how to create a simple website yourself.

You will learn the basics about HTML, design it using CSS and add some functionality using JavaScript.
In the end, we will have a quick look at PHP allowing you to generate your content dynamically.

Our target will be that you can publish a fully functional website at the end of the course.
We will touch other topics such as the basics of design when we need it.

## Inhalt
This course will give you a basic understanding of everything you need to create your own personal website.  
We will have exercise breaks where you can apply the concepts at your own pace. 

Chapters:
- HTML: Structure your content.
- CSS: Design.
- JavaScript: Functionality in the browser.
- PHP: Generate content.
- Advanced topics: Fun part for further development.

In the exercises, you will work on either a portfolio or course website (your choice!).

## Voraussetzungen
No experience required. 
All tools we use are free. 

## Teilnehmende
PhDs and Students.
Particularly suitable for all with no prior experience with web development.
Students who have only superficial experience (copying & pasting stuff found online...) will profit from a more structured understanding.

## Kursunterlagen
All material is published online.

## Bemerkungen
You need to be able to use your computer.
This course is offered in cooperation with The Alternative (https://thealternative.ch).